Get Adobe Flash player
This game requires Flash Player

Additional Details

Developer Absolutist
Release Date December 7, 2011

System Requirements

Flash Version 9.0
Web Games Arcade

Help

If you need assistance, please visit our Help Center.